Bug 67432 - implement -webkit-flex-order
Summary: implement -webkit-flex-order
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Tony Chang
URL:
Keywords:
Depends on:
Blocks: 62048
  Show dependency treegraph
 
Reported: 2011-09-01 13:42 PDT by Tony Chang
Modified: 2011-09-27 13:15 PDT (History)
4 users (show)

See Also:


Attachments
Patch (18.93 KB, patch)
2011-09-01 13:46 PDT, Tony Chang
no flags Details | Formatted Diff | Diff
Patch (19.49 KB, patch)
2011-09-02 09:27 PDT, Tony Chang
no flags Details | Formatted Diff | Diff
Patch (20.02 KB, patch)
2011-09-21 11:06 PDT, Tony Chang
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tony Chang 2011-09-01 13:42:50 PDT
implement -webkit-flex-order
Comment 1 Tony Chang 2011-09-01 13:46:22 PDT
Created attachment 106020 [details]
Patch
Comment 2 Ojan Vafai 2011-09-01 14:33:33 PDT
Comment on attachment 106020 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=106020&action=review

Just a tiny nit from me.

> LayoutTests/css3/flexbox/flex-order.html:9
> +.horizontal-box div {
> +    height: 30px;
> +    border: 0;

The pixel output from this test would be easier to make sense of if there were some padding between the horizontal-boxen.
Comment 3 Tony Chang 2011-09-02 09:27:11 PDT
Created attachment 106140 [details]
Patch
Comment 4 Tony Chang 2011-09-21 11:06:40 PDT
Created attachment 108184 [details]
Patch
Comment 5 Tony Chang 2011-09-21 11:24:03 PDT
(In reply to comment #4)
> Created an attachment (id=108184) [details]
> Patch

Rebased to after the logical positional fixes (just renames for this code).
Comment 6 WebKit Review Bot 2011-09-22 21:53:50 PDT
Comment on attachment 108184 [details]
Patch

Clearing flags on attachment: 108184

Committed r95783: <http://trac.webkit.org/changeset/95783>
Comment 7 WebKit Review Bot 2011-09-22 21:53:54 PDT
All reviewed patches have been landed.  Closing bug.